ConditionalLinkDecorator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.display.ConditionalLinkDecorator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib.display
Class ConditionalLinkDecorator

    java.lang.Object
      org.hyperic.hq.ui.taglib.display.Decorator
          org.hyperic.hq.ui.taglib.display.ColumnDecorator
              org.hyperic.hq.ui.taglib.display.BaseDecorator
                  org.hyperic.hq.ui.taglib.display.ConditionalLinkDecorator

All Implemented Interfaces:
  java.lang.Cloneable, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ConditionalLinkDecorator

extends BaseDecorator

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ConditionalLinkDecorator()`

Method Summary
`java.lang.String` | `decorate(java.lang.Object columnValue)` The main method to override here.
`java.lang.String` | `getHref()`
`java.lang.String` | `getTest()`
`void` | `setHref(java.lang.String href)`
`void` | `setTest(java.lang.String test)`

Methods inherited from class org.hyperic.hq.ui.taglib.display.BaseDecorator
`doEndTag, doStartTag, generateErrorComment, getName, getParent, release, setName, setParent`

Methods inherited from class org.hyperic.hq.ui.taglib.display.Decorator
`finish, finishRow, getList, getListIndex, getObject, getPageContext, getViewIndex, init, initRow, setPageContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`setPageContext`

Constructor Detail

### ConditionalLinkDecorator

    public ConditionalLinkDecorator()

Method Detail

### decorate

    public java.lang.String decorate(java.lang.Object columnValue)

  Description copied from class: `BaseDecorator`
  The main method to override here. This should look something like this: `String name = null; try { name = (String) evalAttr("name", this.name, String.class); } catch (NullAttributeException ne) { log.debug("bean " + this.name + " not found"); return ""; } catch (JspException je) { log.debug("can't evaluate name [" + this.name + "]: ", je); return ""; } StringBuffer buf = new StringBuffer(1024); buf.append(""); buf.append(obj.toString()); buf.append(""); return buf.toString()`

  Specified by:
    `decorate` in class `BaseDecorator`

### getTest

    public java.lang.String getTest()

### setTest

    public void setTest(java.lang.String test)

### getHref

    public java.lang.String getHref()

### setHref

    public void setHref(java.lang.String href)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.